Subject: Re: [bitcoin-dev] BIP proposal: Inhibiting a covert attack on the Bitcoin POW function

From: Emilian Ursu <[email-masked]>
Date: Fri, 7 Apr 2017 09:46:47 +0300 (EEST)

The fact that this is possible should be enough for us to implement 
meassures against it.

On Fri, 7 Apr 2017, Daniele Pinna via bitcoin-dev wrote:

> 
> Can you please not forget to supply us more details on the claims made regarding the reverse engineering of the Asic chip?
> 
> It is absolutely crucial that we get these independently verified ASAP.
> 
> Daniele
>
>       Message: 2
>       Date: Thu, 6 Apr 2017 21:38:31 +0000
>       From: Gregory Maxwell <[email-masked]>
>       To: Bitcoin Dev <[email-masked]>
>       Subject: Re: [bitcoin-dev] BIP proposal: Inhibiting a covert attack on
>               the     Bitcoin POW function
>       Message-ID:
>               <CAAS2fgSTrMjKZVpL4wRidnzTCC9O3OEF=[email-masked]>
>       Content-Type: text/plain; charset=UTF-8
>       On Wed, Apr 5, 2017 at 9:37 PM, Gregory Maxwell <[email-masked]> wrote:
>       > each block MUST either contain a BIP-141 segwit commitment or a
>       > correct WTXID commitment with ID 0xaa21a9ef.
>       It was just pointed out to me that the proposed ID (which I just
>       selected to be above the segwit one) collides with one chosen in
>       another non-BIP proposal.  This wasn't intentional, and I'll happily
>       change the value when I update the document.
> 
>  
> 
>